/*
 *  Gtk-Parted - a front-end for libparted
 *  Copyright (C) 2000, 2001  Damien Genet
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef CTREEPARTED_CALLBACKS_H
#define CTREEPARTED_CALLBACKS_H

#include <gtk/gtk.h>

#include "gtk-parted.h"

gboolean
on_ctreeParted_button_press_event      (GtkCTree        *ctreeParted,
                                        GdkEventButton  *ev,
                                        gpedInfo        *info);

gboolean
on_ctreeParted_tree_move               (GtkCTree        *ctreeParted,
                                        GtkCTreeNode    *node,
                                        GtkCTreeNode    *new_parent,
                                        GtkCTreeNode    *new_sibling,
                                        gpedInfo	*info);


#endif /* CTREEPARTED_CALLBACKS_H */
